MODULE YOMOPF

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

! ----------------------------------------------------------------------

! Intermediate variables which are used in the calculation of weights
!  for the non recursive optimal filter (DFI initialisation).
!  The meaning of these variables is not detailed, there are used
!  only under routine OPTFIL and its callees.

INTEGER(KIND=JPIM), PARAMETER :: JPNLX=64
INTEGER(KIND=JPIM) :: NEXT(JPNLX+3)
REAL(KIND=JPRB) :: AD(JPNLX+2)
REAL(KIND=JPRB) :: AX(JPNLX+3)
REAL(KIND=JPRB) :: AY(JPNLX+3)
REAL(KIND=JPRB) :: ALPHO(JPNLX+3)
REAL(KIND=JPRB) :: GRID(1045)
REAL(KIND=JPRB) :: FS(1045)
REAL(KIND=JPRB) :: WT(1045)
REAL(KIND=JPRB) :: R2PI
REAL(KIND=JPRB) :: ADEV
INTEGER(KIND=JPIM) :: NLEN
INTEGER(KIND=JPIM) :: NGRID

! ----------------------------------------------------------------------

END MODULE YOMOPF
